rails 2.3

gemってなんなんすかね?
まずはgemとaptitudeの棲み分けを理解しなくては。
rake 1.1.0だとrailsのinstallがうまくいかなかった。
$ sudo gem install rails --source http://gems.rubyonrails.org
ERROR: Error installing rails:
actionpack requires rack (~> 1.0.0, runtime)
reptecadm@popeye:~/rails/demo$ sudo gem install rack --version ‘~> 1.0.0’
Successfully installed rack-1.0.1
1 gem installed
Installing ri documentation for rack-1.0.1…
Installing RDoc documentation for rack-1.0.1…
reptecadm@popeye:~/rails/demo$ sudo gem install rails --source http://gems.rubyonrails.org
Successfully installed actionpack-2.3.3
Successfully installed actionmailer-2.3.3
Successfully installed activeresource-2.3.3
Successfully installed rails-2.3.3
4 gems installed
Installing ri documentation for actionpack-2.3.3…
Installing ri documentation for actionmailer-2.3.3…
Installing ri documentation for activeresource-2.3.3…
Installing RDoc documentation for actionpack-2.3.3…
Installing RDoc documentation for actionmailer-2.3.3…
Installing RDoc documentation for activeresource-2.3.3…
$ sudo gem install rack --version ‘~> 1.0.0’
としてrake 1.0.1にすることで問題なくinstallできた。

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です